Subject: bug#71264: 30.0.50; Dired deletion moves point under auto-revert

From: Manuel Giraud <[email-masked]>
Date: Tue, 04 Jun 2024 21:51:20 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

> AFAIR, when the Dired buffer is reverted, Dired attempts to preserve
> important information, like markers etc.  So I think the problem could
> be that the revert happens before Dired had time to record that
> information, in which case rearranging some code should be a way
> forward.

Ok.  But it seems that the functions to preserve those informations
(`dired-save-positions', `dired-remember-marks'...) are all called from
`dired-revert'.  Which makes sense but now I'm confuse about how could
Dired loose those informations upon reverting.
-- 
Manuel Giraud